# Dr.Web (R) Configuration file
# $Revision: 1.90.2.19 $


[Daemon]
# ===================================
# = Dr.Web Daemon general settings. =
# ===================================

# EnginePath = {FilePath}
# Path to drweb32.dll (Antivirus Engine).
EnginePath = /var/drweb/lib/drweb32.dll

# VirusBase = {Lookups}
# Masks for downloaded virus databases.
VirusBase = /var/drweb/bases/*.vdb

# UpdatePath = {FilePath}
# Path to directory, where files dowloaded by updating module are stored.
UpdatePath = /var/drweb/updates

# TempPath = {FilePath}
# Path to directory used by antivirus module (Engine) for creating of temporary
# files.
TempPath = /var/drweb/spool

# Key = {FilePath}
# Location of the key file (license or demo).
Key = /opt/drweb/drweb32.key

# PleskPublicKey = {FilePath}
# Path to Plesk public RSA key file.
PleskPublicKey = /etc/drweb/plesk.key

# OutputMode = {Quiet|Terminal}
# Information output mode at start.
OutputMode = Terminal

# RunForeground = {Boolean}
# Possibility for Daemon to operate in the foreground and not in daemon mode.
RunForeground = no

# User = {String}
# User account with appropriate rights to run Daemon.
User = drweb

# PidFile = {FilePath}
# Path to file where Daemon PID and socket or the port number will be written to
# at start.
PidFile = /var/drweb/run/drwebd.pid

# BusyFile = {FilePath}
# Path to Daemon busy file.
BusyFile = /var/drweb/run/drwebd.bsy

# ProcessesPool = {String}
# Process pool settings.
ProcessesPool = auto,timeout=120,stop_timeout=1,stat=no

# OnlyKey = {Boolean}
# When enabled, only the key file will be requested from Agent and not the 
# configuration settings .
# OnlyKey = no

# ControlAgent = {String}
# Agent address.
# ControlAgent = local:/var/drweb/ipc/.agent

# MailCommand = {String}
# Command used by Daemon and Updater to send notifications to a user
# (administrator) via e-mail.
MailCommand = "/usr/sbin/sendmail -i -bm -f drweb -- root"

# NotifyPeriod = {Digital}
# Number of days before license key expiration to start sending notifications
# about license renewal.
NotifyPeriod = 2

# NotifyFile = {FilePath}
# Path to file with a timestamp of last notification sent to Administrator about
# license key expiration.
NotifyFile = /var/drweb/.notify

# NotifyType = {Ever|Everyday|Once}
# Frequency of notifications dispatch.
NotifyType = Everyday

# FileTimeout = {Digital}
# Maximum time to one file scan in seconds
FileTimeout = 30

# StopOnFirstInfected = {Boolean}
# Termination of email message scan after detection of the first virus.
StopOnFirstInfected = no

# ScanPriority = {String}
# Daemon processes priority.
# ScanPriority = 0

# FilesTypes = {MultiString} (EXE,COM,SYS,OV?,BAT,BIN,DRV,PRG,BOO,
# SCR,CMD,VXD,386,DLL,FON,DO?,XL?,WIZ,RTF,CL*,HT*,VB*,JS*,INF,AR?,
# ZIP,R??,PP?,OBJ,LIB,HLP,MD?,INI,MBR,IMG,CSC,CPL,MBP,SHS,SHB,PIF,
# SO,CHM,REG,XML,PRC,ASP,LSP,MSO,OBD,THE*,NWS,SWF,BMP,MPP,OCX,DVB,
# CPY,MSG,EML)
# File types to be checked during "by type" scan.
# FilesTypes = EXE,COM,SYS,OV?,BAT,BIN,DRV,PRG,BOO,SCR,CMD,VXD,386,DLL,FON,DO?
# FilesTypes = XL?,WIZ,RTF,CL*,HT*,VB*,JS*,INF,AR?,ZIP,R??,PP?,OBJ,LIB,HLP,MD?
# FilesTypes = INI,MBR,IMG,CSC,CPL,MBP,SHS,SHB,PIF,SO,CHM,REG,XML,PRC,ASP,LSP
# FilesTypes = MSO,OBD,THE*,NWS,SWF,BMP,MPP,OCX,DVB,CPY,MSG,EML

# FilesTypesWarnings = {Boolean}
# Unknown file types warnings.
FilesTypesWarnings = yes

# ScanFiles = {ByType|All}
# Restriction for files to be checked.
#  * All - scan all files
#  * ByType - scan only files with allowed types (specified by default
#    and in FileTypes parameter)
# In mailboxes are always scanned all files (always All value used).
# Value ByType can be used only in local scan mode (in other modes
# always All value used).
# Attention! If in Drweb anti-virus plug-in configuration value of parameter
# ScanType is specified to local or auto, then ByType value will force to pass
# all messages WITHOUT anti-virus checking!
ScanFiles = All

# CheckArchives = {Boolean}
# Whether to unpack archives, or not.
CheckArchives = yes

# CheckEMailFiles = {Boolean}
# Whether to scan files in e-mail formats, or not.
CheckEMailFiles = yes

# ExcludePaths = {Lookups}
# Masks for files to be excluded from scan by Daemon.
ExcludePaths = /proc,/sys,/dev

# FollowLinks = {Boolean}
# Whether to follow symbolic links, or not.
FollowLinks = no

# RenameFilesTo = {String}
# Mask for renaming files using custom file extension.
RenameFilesTo = #??

# MoveFilesTo = {DirPath}
# Path to quarantine directory.
MoveFilesTo = /var/drweb/infected

# BackupFilesTo = {DirPath}
# Path to directory used to store backups of infected files, which have been
# cured.
BackupFilesTo = /var/drweb/infected

# LogFileName = {FilePath}
# Log filename.
LogFileName = syslog

# SyslogFacility = {
#    Mail|
#    User|
#    Kern|
#    Local7|
#    Local6|
#    Local5|
#    Local4|
#    Local3|
#    Local2|
#    Local1|
#    Local0|
#    Daemon
# }
# Sets the log type when using syslogd system service.
SyslogFacility = Daemon

# SyslogPriority = {Error|Info|Notice|Warning|Alert}
# Sets the log priority when using syslogd system service.
# SyslogPriority = Info

# LimitLog = {Boolean}
# Specifies whether the log file size must be limited, or not.
LimitLog = no

# MaxLogSize = {Digital}
# Maximum log file size.
MaxLogSize = 512

# LogScanned = {Boolean}
# Whether to log or not information about all checked objects (infected and
# clean).
LogScanned = yes

# LogPacked = {Boolean}
# Whether to log or not additional information about files packed by DIET, PKLITE
# and similar utilities.
LogPacked = yes

# LogArchived = {Boolean}
# Whether to log or not additional information about files archived by RAR, ZIP,
# TAR and similar archivers.
LogArchived = yes

# LogTime = {Boolean}
# Whether to log or not the time for each record.
LogTime = yes

# LogProcessInfo = {Boolean}
# Whether to log or not clients address (hostname or IP) and PID of every
# scanning process.
LogProcessInfo = yes

# RecodeNonprintable = {Boolean}
# Output mode for nonprintable characters.
RecodeNonprintable = yes

# RecodeMode = {QuotedPrintable|Replace}
# Specifies decoding method for nonprintable characters.
RecodeMode = QuotedPrintable

# RecodeChar = {Char}
# Defines symbol to replace nonprintable characters if RecodeMode parameter value
# is set to "Replace".
RecodeChar = "?"

# Socket = {MultiString} (/var/drweb/run/.daemon,3000, localhost)
# Description of socket used for communication with Daemon.
Socket = /var/drweb/run/.daemon
Socket = 3000, localhost

# SocketTimeout = {Digital}
# Timeout in seconds to receive/send data through socket (if 0 - unlimited).
SocketTimeout = 10

# MaxCompressionRatio = {String}
# Maximum archive compression ratio.
MaxCompressionRatio = 500

# CompressionCheckThreshold = {Digital}
# Minimum size of a file inside archive (in KBytes) beginning from which the compression
# ratio check will be performed. If 0 - check will not be performed.
CompressionCheckThreshold = 1024

# MaxFileSizeToExtract = {Digital}
# Maximum size of a file to be extracted from archive (in KBytes). If 0 - unlimited.
MaxFileSizeToExtract = 40960

# MaxArchiveLevel = {Digital}
# Maximum archive nesting level.
MaxArchiveLevel = 8

# ClientsLogs = {String}
# Splitting the log files.
# ClientsLogs = drwebdc:/var/drweb/log/drwebdc.log,smb_spider:syslog,mail:/var/drweb/log/drwebmail.log,kerio:syslog,lotus:syslog

# MaxBasesObsolescencePeriod = {Digital}
# A maximum period of time (in hours) since the last update to consider virus
# bases up-to-date.
MaxBasesObsolescencePeriod = 24

# MessagePatternFileName = {String}
# Path to template for message about license expiration.
MessagePatternFileName = /etc/drweb/templates/drwebd/msg.tmpl

# MailTo = {String}
# Administrator email address
MailTo = 

[Updater]
# =============================
# = Updater general settings. =
# =============================

# WorkingDir = {DirPath}
# Path to working dir of updater.
WorkingDir = /var/drweb/updater/

# UpdatePluginsOnly = {Boolean}
# Possibility to update plug-ins only, without updating of Daemon and Scanner at
# the same time.
UpdatePluginsOnly = no

# Section = {Scanner|Daemon}
# Defines which component must be updated.
Section = Daemon

# ProgramPath = {FilePath}
# Path to program files.
ProgramPath = /opt/drweb/drwebd

# SignedReader = {FilePath}
# Path to program used by Updater to read signed files.
SignedReader = /opt/drweb/read_signed

# LzmaDecoderPath = {DirPath}
# Path to program used by Updater to unpack lzma-archives.
LzmaDecoderPath = /opt/drweb

# LockFile = {FilePath}
# Path to file used to prevent sharing of certain files during update.
LockFile = /var/drweb/run/update.lock

# CronSummary = {Boolean}
# Enables output of update session log to stdout.
CronSummary = yes

# DrlFile = {FilePath}
# Path to file with list of currently available update servers.
DrlFile = /var/drweb/bases/update.drl

# CustomDrlFile = {FilePath}
# Path to alternative file with list of currently available update servers.
CustomDrlFile = /var/drweb/bases/custom.drl

# FallbackToDrl = {Boolean}
# Defines behavior of Updater if both DrlFile and CustomDrlFile parameters are
# set.
FallbackToDrl = yes

# DrlDir = {DirPath}
# Path to directory containing signed files with lists of update servers for
# plug-ins.
DrlDir = /var/drweb/drl

# Timeout = {Digital}
# Timeout for updates to be downloaded.
Timeout = 90

# Tries = {Digital}
# Number of attempts Updater makes to download updated files.
Tries = 3

# ProxyServer = {Address}
# IP-address of a proxy server to be used during update process.
ProxyServer = 

# ProxyLogin = {String}
# Proxy server authentication username.
ProxyLogin = 

# ProxyPassword = {String}
# Proxy server authentication password.
ProxyPassword = 

# LogFileName = {FilePath}
# Log filename.
LogFileName = syslog

# LogLevel = {Quiet|Error|Warning|Info|Verbose|Debug}
# Log verbosity level.
LogLevel = Info

# SyslogFacility = {
#    Mail|
#    User|
#    Kern|
#    Local7|
#    Local6|
#    Local5|
#    Local4|
#    Local3|
#    Local2|
#    Local1|
#    Local0|
#    Daemon
# }
# Sets the log type when using syslogd system service.
SyslogFacility = Daemon

# LotusdPidFile = {FilePath}
# Path to pid file of Lotusd.
LotusdPidFile = /var/drweb/run/drweblotusd.pid

# MaildPidFile = {FilePath}
# Path to pid file of Maild.
MaildPidFile = /var/drweb/run/drweb-maild.pid

# IcapdPidFile = {FilePath}
# Path to pid-file of Icapd.
IcapdPidFile = /var/drweb/run/drweb_icapd.pid

# BlackListPath = {DirPath}
# Path to dir with dws-files.
BlackListPath = /var/drweb/dws

# AgentConfPath = {FilePath}
# Path to agent config file.
AgentConfPath = /etc/drweb/agent.conf

# PathToVadeRetro = {FilePath}
# Path to shared library libvaderetro.so .
PathToVadeRetro = /var/drweb/lib/libvaderetro.so

# ExpiredTimeLimit = {Digital}
# A number of days left before license key file expiration. During this period
# Updater will make attempts to renew the key.
ExpiredTimeLimit = 14

# ESLockfile = {FilePath}
# Path to lockfile. There is the file, so the updater can not do its work.
ESLockfile = /var/drweb/run/es_updater.lock

